# Add / edit cross-sell texts

Use the **addCrossSellCampaignText** method to customize the texts that are shown in the shopping cart when a cross-sell campaign is displayed.

Editing a text can be done via the **updateCrossSellCampaignText** method with the same payload. If during a call to **updateCrossSellCampaignText** method, a text is not found in the database, it will be added automatically.

## Request parameters

<table><thead><tr><th width="134">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>language</code></td><td><strong>Required (string)</strong><br>The ISO 639-1 two-letter code of the language; Can be Arabic, Bulgarian, Chinese, Chinese (traditional), Czech, Danish, Dutch, English, Finnish, French, German, Greek, Hebrew, Hindi, Italian, Korean, Norwegian, Persian, Polish, Portuguese, Portuguese (Brazil), Slovak, Slovenian, Spanish, Swedish, Thai, Romanian, Russian</td></tr><tr><td><code>title</code></td><td><strong>Required (string)</strong><br>The title of the cross sell campaign as it is displayed in the cart</td></tr><tr><td><code>description</code></td><td><strong>Required (string)</strong><br>The description of the cross sell campaign as it is displayed in the cart</td></tr></tbody></table>

### Request sample

{% code title="example.php" %}

```php
<?php

require ('PATH_TO_AUTH');

$csCampaignText = [];

$textObj = new stdClass();
$textObj->Language = "ro";
$textObj->Title = "Numele campaniei mele";
$textObj->Description = "Descrierea campaniei mele";

$csCampaignText[] = $textObj;

$textObj = new stdClass();
$textObj->Language = "en";
$textObj->Title = "My campaign name";
$textObj->Description = "My campaign description";

$csCampaignText[] = $textObj;
try {

    $csCampaignTextResponse = $client->addCrossSellCampaignText($sessionID, $csCampaignText);

} catch (SoapFault $e) {

    echo  $e->getMessage();

}
```

{% endcode %}

## Response

Both the **addCrossSellCampaignText** and **updateCrossSellCampaignText** methods will return the full list of texts available in the platform.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/cross-sell/add-edit-cross-sell-texts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
